Summary: Ctors | Methods | Inherited Methods | [Expand All]
public class

# TaggingOptions

extends OptionsBase

java.lang.Object
↳ | com.pdftron.pdf.OptionsBase
| ↳ | com.pdftron.pdf.TaggingOptions

## Summary

Public Constructors
| TaggingOptions() Constructor.
| TaggingOptions(String json_string) Constructor.

Public Methods
String | getDescription() Gets the value Description from the options object.
int | getInsertIndex() Gets the value InsertIndex from the options object.
TaggingOptions | setDescription(String value) Sets the value for Description in the options object.
TaggingOptions | setInsertIndex(int value) Sets the value for InsertIndex in the options object.

[Expand] Inherited Methods
From class java.lang.Object
boolean | equals(Object arg0)
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)
final void | wait()

## Public Constructors

#### public TaggingOptions ()

Constructor.

##### Throws

PDFNetException |

#### public TaggingOptions (String json_string)

Constructor.

##### Throws

PDFNetException |

## Public Methods

#### public String getDescription ()

Gets the value Description from the options object. Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

##### Returns

- Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

##### Throws

PDFNetException |

#### public int getInsertIndex ()

Gets the value InsertIndex from the options object. The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

##### Returns

- The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

##### Throws

PDFNetException |

#### public TaggingOptions setDescription (String value)

Sets the value for Description in the options object. Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

##### Parameters

value | Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public TaggingOptions setInsertIndex (int value)

Sets the value for InsertIndex in the options object. The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

##### Parameters

value | The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |